=== debian/changelog ===
crystal-facet-uml (1.25.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * cmake does not depend on c++ compiler anymore
  * hardening activated, includes elf-pie feature
  * yamllint deactivated for ci
  * build artifacts of ci adapted to make them accessible by test stage

  [ Mike Gabriel ]
  * Initial upload to Debian. (Closes: #928087).
  * GitLab CI: move .gitlab-ci.yml to debian/salsa-ci.yml.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Bump to DH compat level version 13.
    + Rework SYNOPSIS and LONG_DESCRIPTION (to make lintian happy).
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/rules:
    + Don't set DEB_LDFLAGS_MAINT_APPEND with -Wl,--as-needed. It's now the
      default.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add 1001_fix-typo.patch. Grammar fixes in application messages.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Nov 2020 09:22:50 +0100

crystal-facet-uml (1.25.0-2) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * yml script for ci added

 -- Andreas Warnke <cfu@andreaswarnke.de>  Wed, 28 Oct 2020 07:40:00 +0100

crystal-facet-uml (1.25.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * moving ports follow the cursor more accurate
  * Constraint Blocks show their ports completely inside
  * Artifacts and Components do not waste space for contained children
  * Comment titles do not overlap with the comment-corner
  * packages containing children display their title in the tab-symbol
  * layouting containments does not reserve columns/rows for the container
  * Feature/Composite Requirement does not exist anymore,
    data from older versions is auto-converted to Requirement
  * Requirements are displyed as box-with-label omitting the description
  * Interaction Overview Diagram is redesigned,
    data from older versions is auto-converted to Activity Diagram

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 18 Oct 2020 20:30:00 +0200

crystal-facet-uml (1.24.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * XMI(TM) export reflects containment-hierarcy of elements
  * XMI(TM) export automatically disambiguates between activity/state contexts
  * warnings are printed to xml export if model is not uml compliant
  * no arrow tip at communication path
  * export shows statistics on diagrams or classifiers
  * internal: messages to user are typesafe for their parameters

 -- Andreas Warnke <cfu@andreaswarnke.de>  Thu, 08 Oct 2020 20:30:00 +0200

crystal-facet-uml (1.23.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * XMI(TM) export good enough to be checked by NIST validator

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 06 Sep 2020 11:30:00 +0200

crystal-facet-uml (1.23.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * at operations cut, copy, paste and delete: print understandable statistics
  * at operations undo, redo: print understandable statistics
  * layouting of classifiers improved
  * experimental xmi export

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 15 Jun 2020 11:30:00 +0200

crystal-facet-uml (1.22.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * the xhtml export produces a table-of-contents
  * the xhtml+db exports generate links to diagrams by D0001#name.
  * the element configuration area on the right does not take space needed
    by the drawing area
  * yellow highlighted names are drawn behind the classifier-contour-line

 -- Andreas Warnke <cfu@andreaswarnke.de>  Fri, 01 May 2020 17:30:00 +0200

crystal-facet-uml (1.21.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * containers embrace their children keeping wider gaps

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 12 Apr 2020 16:30:00 +0200

crystal-facet-uml (1.20.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * xhtml output generates a css file to allow defining own color schemes
  * xhtml output keeps linebreaks in selected (md) cases
  * bugfix: exporting docbook and xhtml via command line arguments
    works again, as in 1.16.1 (Closes: #1)
  * exported xhtml passes https://validator.w3.org/check (for quality.cfu1)
  * exported xhtml/css shows chapter numbers

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 23 Mar 2020 18:30:00 +0100

crystal-facet-uml (1.19.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * free text search
  * small memory leak in nav-tree-view fixed

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sat, 14 Mar 2020 12:30:00 +0100

crystal-facet-uml (1.18.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * when exporting xhtml and docbook files, windows pathnames are supported

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 20 Jan 2020 21:30:00 +0100

crystal-facet-uml (1.18.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * the search view allows one to search for object ids
  * bugfix: when changing type of an object, lastest changes to name
    or description are not lost
  * pressing enter in name or stereotype field causes a save action

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 19 Jan 2020 20:30:00 +0100

crystal-facet-uml (1.17.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * cmake build config is less platform dependent
  * nav-tree: dragging diagrams shows a tree-depth aware insert line
  * while dragging, grid lines are displayed
  * the description text-view has scrollbars
  * in nav view, a click into the current diagram zooms to edit mode
  * in create view, an icon next to the mouse cursor shows options
  * fix: type dropdown box does not change DB automatically if unknown type id
  * the type drop down box shows icons to faster find the right type
  * an icon grid allows one to change types quickly

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 05 Jan 2020 20:30:00 +0100

crystal-facet-uml (1.16.2-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * relationships may overlap if same type and same direction

