=== debian/control ===
Source: crystal-facet-uml
Section: devel
Priority: optional
Maintainer: Andreas Warnke <cfu@andreaswarnke.de>
Uploaders:
 Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgtk-3-dev,
 libsqlite3-dev,
Standards-Version: 4.5.0
Homepage: http://andreaswarnke.de/crystal_facet_uml/html/index.html
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml/

Package: crystal-facet-uml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Diagram documentation tool for system and software architecture
 crystal_facet_uml creates sysml/uml diagrams to document system and
 software architecture.
 .
 As software architect, you create a set of diagrams describing
 use-cases, requirements, structural views, behavioral and deployment
 views. crystal_facet_uml keeps element names and element hierarchies
 consistent. It exports diagrams in svg, pdf, ps and png formats to be
 used in text processing systems like DocBook, html, LaTeX.
