=== debian/changelog ===
crystal-facet-uml (1.26.0-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * New upstream release.

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake. (Closes:
      #973980).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Nov 2020 12:47:40 +0100
