=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  libgtk-3-dev,
  libsqlite3-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://andreaswarnke.de/crystal_facet_uml/html/index.html
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git
