=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/crystal-facet-uml-$1.tar.gz/ \
https://github.com/awarnke/crystal_facet_uml/tags .*/archive/v?([\d\.]+).tar.gz
