=== debian/changelog ===
crystal-facet-uml (1.26.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * New upstream release.
  * debian/*:
    + Program renamed from crystal_facet_uml to crystal-facet-uml.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Dec 2020 23:13:17 +0100
