=== debian/changelog ===
crystal-facet-uml (1.27.2-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * new upstream version 1.27.2
  * metadata.xml file has MIT license as requested by freedesktop.org
  * CMakeLists has no separate compiler-flags for test-executable anymore
  * compiler switch Werror removed: warnings should not cause build-breaks
  * compiler warning fixed: conversions from unsigned int to size_t updated

  [ Mike Gabriel ]
  * debian/copyright: Renmae license tag from MIT to Expat.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 07 Jan 2021 06:26:41 +0100
