=== gui/source/resources/Makefile ===
all: type_feat

type_feat: type_feat_entry.pdf type_feat_exit.pdf type_feat_rx.pdf type_feat_tx.pdf

type_feat_entry.pdf: type_feat_entry.svg
	inkscape --export-pdf=type_feat_entry.pdf type_feat_entry.svg

type_feat_exit.pdf: type_feat_exit.svg
	inkscape --export-pdf=type_feat_exit.pdf type_feat_exit.svg

type_feat_rx.pdf: type_feat_rx.svg
	inkscape --export-pdf=type_feat_rx.pdf type_feat_rx.svg

type_feat_tx.pdf: type_feat_tx.svg
	inkscape --export-pdf=type_feat_tx.pdf type_feat_tx.svg
