=== debian/changelog ===
crystal-facet-uml (1.27.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Feb 2021 17:27:11 +0100
