=== debian/control ===
--- 
+++ 
@@ -21,12 +21,15 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Description: Diagram documentation tool for system and software architecture
- crystal_facet_uml creates sysml/uml diagrams to document system and
+Description: Diagram documentation tool for system and software architecture:
+ crystal-facet-uml creates sysml/uml diagrams to document system and
  software architecture.
  .
  As software architect, you create a set of diagrams describing
  use-cases, requirements, structural views, behavioral and deployment
- views. crystal_facet_uml keeps element names and element hierarchies
+ views. crystal-facet-uml keeps element names and element hierarchies
  consistent. It exports diagrams in svg, pdf, ps and png formats to be
  used in text processing systems like DocBook, html, LaTeX.
+ crystal-facet-uml exports the model to xmi format.
+ This tool runs on your local PC and is based on
+ glib, gdk, gtk, cairo, pango, sqlite.
